<template>
  <div class="tableInner">
    <el-select v-model="list.string" @change="changeInput">
      <el-option
        v-for="item in injectData.roleList"
        :key="item.id"
        :label="item.username"
        :value="item.id + '+' + item.username"
      >
      </el-option>
    </el-select>
  </div>
</template>
<script>
export default {
  name: "InputArea",
  props: {
    injectData: {
      type: Object,
      default: () => ({}),
    },
    itemProp: {
      type: String,
    },
  },
  data() {
    return {
      list: this.injectData,
    };
  },
  methods: {
    changeInput() {
      this.list.sType = 2
      this.$emit("emitData", this.list);
    },
  },
};
</script>
<style scoped>
.tableInner .el-input__inner {
  border: none;
  padding: 0;
  height: 33px;
}
</style>
